For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sports Activity Offering

Sport activity offering related endpoints

Get placed sports tickets

get
/api/sports/tickets

Retrieve a list of placed tickets along with their details.

Ticket format

Each ticket consists of basic ticket information, such as its placed timestamp, stake, ticket_type and a list of bets associated with that ticket.

The information included for each bet consists of:

  • Event details (e.g., event ID, start time, league, participants)

  • Market details (e.g., market ID, name, type)

  • Bet details (e.g. odds)

Ticket in given time window

The response includes bets placed within the specified time window.

The time window is calculated using the at and window query parameters, producing the following time range: [at - window, at].

In most cases, at should not be used, since it defaults to now.

User anonymity

The response does not include any user-identifiable information, like the user placing the bet, to ensure user privacy.

Ordering of results

The results are ordered by the ticket placement time in descending order (most recent first) for the given time window.

Request example

In this example we get the 10 latest tickets of the last 5 minutes.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
countinteger · min: 1 · max: 1000Optional

How many tickets to return.

Default: 100Example: 5
atstring · date-timeOptional

Get results calculated for the given timestamp.

Default: now
windowinteger · min: 1 · max: 1440Optional

Time window in minutes to look back from at.

Default: 60Example: 60
filtersstring · enumOptional

Optional filtering of the tickets to retrieve. It expects a string adhering to the filtering format, as described in the filtering section.

Example: stake:gte:5Possible values:
operatorstringOptional

The operator to use for querying data. Notice that this is applied only if your account has access to multiple operators. In a different case the assigned operator to your account is used and the value of this field is ignored.

bookmaker_idintegerOptional

The bookmaker id to use for querying data. Notice that this is applied only if your account has access to multiple operators. In a different case the assigned operator to your account is used and the value of this field is ignored. Note that this parameter is used together with the sub_bookmaker_id parameter.

sub_bookmaker_idintegerOptional

The sub-bookmaker id to use for querying data. Notice that this is applied only if your account has access to multiple operators. In a different case the assigned operator to your account is used and the value of this field is ignored. Note that this parameter is used together with the bookmaker_id parameter.

locationstringOptional

The location of the page where the request takes place.

Example: inplay_widget
Header parameters
x-vaix-client-idstringRequired

Custom client header, the value should be the name of the group the user belongs to

x-vaix-authentication-methodstringOptional

Authentication method to be used, supported values [vaix, iam]. Defaults to vaix

Responses
200

OK

application/json

API response

statusstring · enumOptional

The status of the request

Possible values:
get/api/sports/tickets
GET /api/sports/tickets HTTP/1.1
Host: api.vaix.ai
Authorization: Bearer YOUR_SECRET_TOKEN
x-vaix-client-id: text
Accept: */*
{
  "data": [
    {
      "bets": [
        {
          "begin": "2026-01-01T00:00:00.000Z",
          "bet_offer_id": "text",
          "country": "text",
          "country_id": "text",
          "event_id": "text",
          "event_type": "text",
          "league": "text",
          "league_id": "text",
          "market": "text",
          "market_id": 1,
          "market_type": "text",
          "market_type_id": 1,
          "outcome": "text",
          "outcome_id": 1,
          "participant_ids": [
            "text"
          ],
          "participants": [
            "text"
          ],
          "period": "text",
          "period_id": 1,
          "quote": 1,
          "selection_id": "text",
          "side": "text",
          "sport": "text",
          "sport_id": "text",
          "status": "text",
          "uof_external_id": "text"
        }
      ],
      "currency": "text",
      "placed_at": "2026-01-01T00:00:00.000Z",
      "stake": 1,
      "stake_local": 1,
      "ticket_type": "text"
    }
  ],
  "status": "success"
}

Last updated

Was this helpful?